/*求圆的面积*/

#define PI 3.14159               /*预编译：宏定义*/
#include <stdio.h>               /*预编译：文件包含*/
#include <math.h>

float getArea(float r);           /*自定义求面积函数*/

/*主函数*/
int main(int argc, char* argv[])
{
   float s1,s2;                    /*定义变量*/
   float r1,r2;

   /*计算第1个圆的面积*/
   printf("请输入第一个圆的半径：");
   scanf("%f", &r1);                    /*调用stdio.h中的函数，从键盘中输入半径r1的值*/
   s1 = 3.14159f * r1 * r1;              /*求面积*/
   printf("\n第一个半径为%f的圆的面积为：%f\n", r1,s1);  /*输出面积值*/

   /*计算第2个圆的面积*/
   r2 = 1.6e2f;                          /*半径为160.0*/
   s2 = getArea(r2);                    /*调用自定义函数求圆的面积*/
   printf("\n第二个半径为%f的圆的面积为：%f\n", r2,s2);  /*输出面积值*/

   return 0;
}


/*自定义函数：求半径为r的圆的面积*/
float getArea(float r)
{
   float s;

   s = (float)(PI * pow(r, 2));        /*使用宏，调用math.h中的求幂函数*/
   return s;
}